#!/usr/bin/python
# -*- coding: utf-8 -*-

""" This is the setup for the PackageTester. """

from pathlib import Path
from setuptools import setup

VERSION = (
    open("src/package_tester/_version.py").readlines()[-1].split()[-1].strip("\"'")
)
README = Path("src/package_tester/README.md").read_text()

requires = []

tests_require = ["pytest>=5.4,<6.0"]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="NRAO Archive Test Runner",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    tests_require=tests_require,
    keywords=["test"],
    packages=["package_tester"],
    package_dir={"": "src"},
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={
        "console_scripts": ["package-tester = package_tester.package_tester:main"]
    },
)
